#home-mission {
  color: var(--color-white);
}

#home-mission .mission-wrapper {
  display: flex;
  flex-direction: row;
}

#home-mission .mission-title {
  text-transform: uppercase;
  font-weight: 400;
  padding: 48px 24px;
  box-sizing: border-box; /* Ensures width and height properties include padding */
  writing-mode: sideways-lr;
  text-align: end;
  /* aspect-ratio: 1 / 1; */
  /* transform: rotate(-90deg);
  transform-origin: right top; */
}

#home-mission .mission-control {
  padding: 48px 24px;
  max-width: 480px;
  flex-shrink: 0;
}

#home-mission .mission-control .mission-description {
  max-width: 80%;
}

#home-mission .mission-control ul {
  margin-block-start: unset !important;
  margin-block-end: unset !important;
  padding-inline-start: unset !important;
}

#home-mission .mission-control .mission-item-title {
  list-style: none;
  text-transform: uppercase;
  padding: 32px 0;
}

.mission-item {
  display: none; /* Hide all mission items by default */
  width: 100%;
  height: 100%;
  background-size: cover;
  position: relative; /* Add this for the pseudo-element positioning */
}

.mission-item::before {
  /* Add this pseudo-element for the overlay */
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.4); /* 50% black overlay */
  z-index: 1; /* Ensure overlay is above the background but below the content */
}

.mission-item.active {
  display: block; /* Show only the active mission item */
}

li.mission-item-title {
  cursor: pointer;
}

li.mission-item-title.active {
  text-decoration: underline;
  text-underline-offset: 6px;
  text-decoration-thickness: 2px;
}

.mission-item-content {
  position: relative;
  z-index: 2; /* Ensures content is on top of the overlay */
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 48px 48px;
  box-sizing: border-box; /* Add this line */
}

.mission-item-content-header {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  gap: 64px;
  width: 100%;
}

.mission-item-content-title {
  margin-top: unset !important;
  margin-bottom: 16px !important;
  text-transform: uppercase;
  font-weight: 400;
  letter-spacing: 1.5px;
  line-height: 110%;
}

/* XXL Screens (1800px and up) */
@media (min-width: 1800px) {
}

/* XL Screens (1600px-1799px) */
@media (min-width: 1600px) and (max-width: 1799px) {
}

/* Large Screens (1400px-1599px) */
@media (min-width: 1400px) and (max-width: 1599px) {
}

/* Medium-Large Screens (1200px-1399px) */
@media (min-width: 1200px) and (max-width: 1399px) {
}

/* Small-Medium Screens (max-width: 1199px) */
@media (max-width: 1199px) {
}

/* Small Screens (max-width: 992px) */
@media (max-width: 992px) {
  #home-mission .mission-wrapper {
    flex-direction: column;
  }
  .mission-item-content {
    padding: 24px;
  }

  #home-mission .mission-title {
    text-transform: uppercase;
    font-weight: 400;
    padding: 24px 24px;
    box-sizing: border-box;
    writing-mode: unset;
    text-align: start;
    /* aspect-ratio: 1 / 1; */
  }

  #home-mission .mission-control {
    padding: 24px;
    max-width: 100%;
  }
}

/* Mobile Screens (max-width: 768px) */
@media (max-width: 768px) {
}
